Subject: Re: problems with CPAN and cygwin >1.3.12
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: JoNO ZzZ <[email-masked]>
Date: Thu, 12 Dec 2002 22:45:12 +0100

Hallo JoNO,

Please keep replies to the list, others may help debugging your
problem too!

> --- "Gerrit P. Haase" <[email-masked]> wrote:
>> Hallo JoNO,
>> 
>> At first, make sure that in your Cygwin environment
>> are no
>> paths in PATH with spaces like this:
>> > /cygdrive/c/Program Files/SecureCRT 3.0

>> Then check the permissions on your executables:
>> $ ls -l /bin/perl
>> should look like this:
>> -rwxr-xr-x    1 gerrit   Domänen-    14848 Dec  9 17:56 /bin/perl*
>>  ^ ^^ ^^ ^
>> including at least the 'r-x' for all groups.

>> Also try to update the MakeMaker module to the
>> latest version,
>> like Soren suggested.

> Nope, it doesn't work.
> - my enviroment is ok
> - the perl's permissions are ok
> - I have updated ExtUtils::MakeMaker to the latest
> version.

> Note that i'm using: perl-5.8.0 + cygwin-1.3.17-1 +
> latest version of CPAN (1.63)
> if I replace the cygwin1.dll with the older version
> (1.3.12) ALL is OK! so there must be a problem with
> this version of cygwin.(?!)

> Please check again, or try to reproduce my enviroment
> :)

> Thanks. again

Ok.  I'll test the next days.

Is the perl-5.8.0 you use from the original Cygwin netrelease
mirrors or did you compile it yourself?

Gerrit
-- 
=^..^=